Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ORBInitializer_Registry Class Reference

Global list that contains all portable interceptor ORB initializers. More...

`#include <ORBInitializer_Registry.h>`

List of all members.

## Protected Methods
| TAO_ORBInitializer_Registry (void)
| Only allow this class to be instantiated as a singleton instance, so declare the constructor as protected.
| ~TAO_ORBInitializer_Registry (void)
| Register an ORBInitializer with the underlying ORBInitializer array.
void | register_orb_initializer ( PortableInterceptor::ORBInitializer_ptr init, CORBA::Environment &ACE_TRY_ENV)
void | pre_init (PortableInterceptor::ORBInitInfo_ptr info, CORBA::Environment &ACE_TRY_ENV)
| Begin initialization of all registered ORBInitializers before the ORB itself is initialized.
void | post_init (PortableInterceptor::ORBInitInfo_ptr info, CORBA::Environment &ACE_TRY_ENV)
| Complete initialization of all registered ORBInitializers after the ORB has been initialized.
## Static Protected Methods
TAO_ORBInitializer_Registry* | instance (void)
| Return a unique singleton instance.
## Friends
class | TAO_Singleton< TAO_ORBInitializer_Registry,TAO_SYNCH_MUTEX >
void | PortableInterceptor::register_orb_initializer ( PortableInterceptor::ORBInitializer_ptr init, CORBA::Environment &)
CORBA::ORB_ptr | CORBA::ORB_init (int &, char *argv[], const char *, CORBA_Environment &)

## Detailed Description

Global list that contains all portable interceptor ORB initializers.

## Constructor & Destructor Documentation

TAO_ORBInitializer_Registry::TAO_ORBInitializer_Registry ( | void )`[protected]`

| Only allow this class to be instantiated as a singleton instance, so declare the constructor as protected.

TAO_ORBInitializer_Registry::~TAO_ORBInitializer_Registry ( | void )`[protected]`

| Register an ORBInitializer with the underlying ORBInitializer array.

## Member Function Documentation

ACE_INLINE TAO_ORBInitializer_Registry * TAO_ORBInitializer_Registry::instance ( | void )`[static, protected]`

| Return a unique singleton instance.

void TAO_ORBInitializer_Registry::post_init ( | PortableInterceptor::ORBInitInfo_ptr info,
| CORBA::Environment & ACE_TRY_ENV )`[protected]`

| Complete initialization of all registered ORBInitializers after the ORB has been initialized.

void TAO_ORBInitializer_Registry::pre_init ( | PortableInterceptor::ORBInitInfo_ptr info,
| CORBA::Environment & ACE_TRY_ENV )`[protected]`

| Begin initialization of all registered ORBInitializers before the ORB itself is initialized.

void TAO_ORBInitializer_Registry::register_orb_initializer ( | PortableInterceptor::ORBInitializer_ptr init,
| CORBA::Environment & ACE_TRY_ENV )`[protected]`

## Friends And Related Function Documentation

CORBA::ORB_ptr CORBA::ORB_init ( | int &,
| char * argv[],
| const char *,
| CORBA_Environment & )`[friend]`

void PortableInterceptor::register_orb_initializer ( | PortableInterceptor::ORBInitializer_ptr init,
| CORBA::Environment & )`[friend]`

class TAO_Singleton`[friend]`

The documentation for this class was generated from the following files:

- ORBInitializer_Registry.h
- ORBInitializer_Registry.cpp
- ORBInitializer_Registry.inl